// Professor Kevin Harrigan - Winter 2019

int[] original = {10, 20, 30, 40, 50};

void setup() {

  int[] newArray = goodArrayClone(original);

  // In this for loop everyting seems fine.
  // original and newArray are two identical arrays.
  for (int i=0; i<original.length; i++) {
    println(original[i], newArray[i]);
  }

  // Let's modify original and see what happens to newArray.
  // This shows that original and newArray are different 
  //     locations in memory.
  // A variation of this example would make a good test question.

  original[2] = 99;
  for (int i=0; i<original.length; i++) {
    println(original[i], newArray[i]);
  }
}

int[] goodArrayClone( int[] arr ){
  int[] ret = new int[ arr.length ];
  for ( int idx = 0; idx < arr.length; ++idx ) {
    ret[idx] = arr[idx];
  }
  return ret;
}
