// Craig S. Kaplan

// A starting point for thinking about arrays of Circle objects --
// hold on to a single Circle in a global variable and draw it in
// every frame.  In the CircleArray sketch, we'll replace this 
// global variable with an array of Circle objects.

// Define a small Circle class so that we can track information
// about whole circles.
class Circle
{
  float cx;
  float cy;
  float rad;

  Circle( float cxIn, float cyIn, float radIn )
  {
    cx = cxIn;
    cy = cyIn;
    rad = radIn;
  }

  // Create a method allowing us ask every circle to
  // draw itself.
  void draw()
  {
    ellipse( cx, cy, 2 * rad, 2 * rad );
  }
}

Circle my_circle;

void setup()
{
  size( 500, 500 );
  stroke( 0 );
  noFill();

  my_circle = new Circle( 250, 250, 100 );
}

void draw()
{
  background( 255 );
  my_circle.draw();
}
