// Professor Kevin Harrigan - Winter 2019

// Sample use of String functions.
//  Note: printArray is new to us as it wasn't covered in CS105.

// original arrays a and b.
int[] a = { 6, 3, 4, 1, 2, 5 };
int[] b = { 5, 6, 7 };

// Create anew array called c.
int[] c = new int[a.length + b.length];
c = concat(a, b);

// print out all three arrays.
println("The array 'a' which contains 6 elements");
printArray(a);

println("The array 'b' which has 3 elements");
printArray(b);

println("The array 'c' which has 9 elements");
printArray(c);

// Note: In the following the original array 'a' is gone.
//  That is, the array 'a' with {6, 3, 4, 1, 2, 5} is gone.
//  Arrays 'b' and 'c' remain unchanged.
a = concat(a, b);
println("The array 'a' which now contains 9 elements");
printArray(a);

println("The array 'b' which has 3 elements");
printArray(b);

println("The array 'c' which has 9 elements");
printArray(c);

int[] d = new int[a.length + b.length];
d = reverse(b);

println("The array 'd' which is 'b' reversed and has 3 elements");
printArray(d);

int[] e = { 3, 2, 1, 4, 7 };
int[] f = shorten( e );

println("The array 'e' which has 5 elements");
println(e);
println("The array 'f' which has 4 elements and is 'e' shortened");
println(f);


int[] g = sort(a);
println("The array 'a' which has 9 elements");
println(a);
println("The array 'g' which has 9 elements and is 'a' sorted");
println(g);

// Programmers sometimes find the parameters of subset confusing.
//  The second parameter is the starting index.
//  The third parameter is the number of elements.
int[] h = {4, 6, 1, 5, 9, 2, 7};
int[] j = subset( h, 2, 3 );
println("The array 'h' which has 7 elements");
println(h);
println("The array 'j' which has 3 elements and is a subset of 'h'");
println(j);
